<?
$_headPageTitle="A Norma de Granada em Évora > Fichas das Árvores";
$_pageTitle="Norma de Granada em Évora - Fichas das Árvores";
include("inc/_start.php");
?>
	<div id="main" class="">		
		<div id="content"></div>
		<!--
		<table class="fichaArvore">
			<tr>
				<th>Nome Botânico</th>
				<td></td>
			</tr>
			<tr>
				<th>Nome Vulgar</th>
				<td></td>
			</tr>
			<tr>
				<th>Artéria</th>
				<td></td>
			</tr>
			<tr>
				<th>Número</th>
				<td></td>
			</tr>			
		</table>
		-->
	</div>
	
	<script>
	function formatLatLong(lat,lng){
		var r="";
		if (lat>0){
			r+="N ";
		}else{
			r+="S ";
		}
		lat=Math.abs(lat);
		r+=Math.floor(lat);
		r+="&deg;";
		lat=(lat-Math.floor(lat))*60;
		r+=Math.round(lat*1000)/1000;
		r+=" ";
		if (lng>0){
			r+="E ";
		}else{
			r+="O ";
		}
		lng=Math.abs(lng);
		r+=Math.floor(lng);
		r+="&deg;";
		lng=(lng-Math.floor(lng))*60;
		r+=Math.round(lng*1000)/1000;
		return r;
//		return lat+" "+lng;
	}
	
	$(document).ready(function(){
		var obj=null;
		for(i=0;i<arArvores.length;i++){
			var n=arArvores[i];
			if (n.nr=="<?=$_GET['nr'];?>"){
				obj=n;
				break;
			}
		}
		if (obj!=null){
			/*console.debug(temp);
			$('table.fichaArvore tr:eq(0) td').html(temp.especie);
			$('table.fichaArvore tr:eq(1) td').html(temp.nomeComum);
			$('table.fichaArvore tr:eq(2) td').html(temp.local);
			$('table.fichaArvore tr:eq(3) td').html(temp.nr);
			*/
			var ficheiro="";
			
			for(idx=0;idx<fichasTecnicas.length;idx++){

				if (fichasTecnicas[idx].nome.substr(0,obj.especie.length).toLowerCase()==obj.especie.toLowerCase()){
					ficheiro=fichasTecnicas[idx].ficheiro;
					idx=fichasTecnicas.length;
				}

			}


			var contentString = '<div>'+
				'<h2><em><a href="'+ficheiro+'">'+obj.especie+'</a></em><numero> '+obj.nr+'</numero></h2>';
			var temp=obj.nr.split(".");
			console.debug(temp);
			contentString+='<div class="listaImagens">';
			for(idx=0;idx<imagensArvores.length;idx++){
				var im=imagensArvores[idx];
				if (im.ficha==temp[0] && (im.nr==temp[1] || im.nr=="0")){
					contentString+='<a rel="pic" href="./img/arvores/img-'+im.ficheiro+'"><img src="./img/arvores/thumb-'+im.ficheiro+'" /></a>';	
				}
			}
			contentString+='</div>';
			contentString+=
				'<table id="fichaArvore" class="fichaEspecifica">'+
				'<tr><th>Nome comum</th><td>'+obj.nomeComum+'</td></tr>'+
				'<tr><th>Localização</th><td>'+obj.local+'</td></tr>'+
				'<tr><th>Coordenadas</th><td>'+formatLatLong(obj.latitude,obj.longitude)+'</td></tr>'+
				'<tr><th>Data de avaliação</th><td>'+obj.data + '</td></tr>'+
				'<tr><th>PAP</th><td>'+obj.pap + '&nbsp;cm</td></tr>'+
				'<tr><th>Índice de preço de mercado (&omega;)</th><td>'+ obj.w + '</td></tr>'+
				'<tr><th>Índice edáfico (&mu;)</th><td>'+ obj.u +  '</td></tr>'+
				'<tr><th>Valor base</th><td>'+obj.valorBase + '</td></tr>'+
				'<tr><th>Factor intrínseco (Els)</th><td>'+obj.els + '</td></tr>'+
				'<tr><th>Factor extrínseco (Ele)</th><td>'+obj.ele + '</td></tr>'+
				'<tr><th>Valor final (V<sub>f</sub>)</th><td>'+obj.valorFinal + '</td></tr>'+
				//'<tr><th>Altura</th><td>'+obj.altura + 'm</td></tr>'+
				//'<tr><th>Observações</th><td>'+obj.observacoes + '</td></tr>'+
				'</table>'+
				'<a href="mapa.php?nr='+obj.nr+'">+ ver no mapa</a><br /><br />'+
				'</div>';
			
			$('#content').html(contentString);
			$('.listaImagens a').colorbox();
		}
	});
	</script>
	
<?
include("inc/_end.php");
?>